package com.ruoyi.model.service;

import java.util.List;
import com.ruoyi.model.domain.AppPetsBread;

/**
 * 宠物品种Service接口
 * 
 * @author ruoyi
 * @date 2025-03-08
 */
public interface IAppPetsBreadService 
{
    /**
     * 查询宠物品种
     * 
     * @param petBreadId 宠物品种主键
     * @return 宠物品种
     */
    public AppPetsBread selectAppPetsBreadByPetBreadId(Long petBreadId);

    /**
     * 查询宠物品种列表
     * 
     * @param appPetsBread 宠物品种
     * @return 宠物品种集合
     */
    public List<AppPetsBread> selectAppPetsBreadList(AppPetsBread appPetsBread);

    /**
     * 新增宠物品种
     * 
     * @param appPetsBread 宠物品种
     * @return 结果
     */
    public int insertAppPetsBread(AppPetsBread appPetsBread);

    /**
     * 修改宠物品种
     * 
     * @param appPetsBread 宠物品种
     * @return 结果
     */
    public int updateAppPetsBread(AppPetsBread appPetsBread);

    /**
     * 批量删除宠物品种
     * 
     * @param petBreadIds 需要删除的宠物品种主键集合
     * @return 结果
     */
    public int deleteAppPetsBreadByPetBreadIds(Long[] petBreadIds);

    /**
     * 删除宠物品种信息
     * 
     * @param petBreadId 宠物品种主键
     * @return 结果
     */
    public int deleteAppPetsBreadByPetBreadId(Long petBreadId);

    /**
     * 查询宠物品种列表
     *
     * @return 宠物品种集合
     */
    public List<AppPetsBread> getAppPetsBreadList();
}
